"""
Convex optimization solvers.

conelp:  solves semidefinite programs specified via functions.
cp:      solves nonlinear convex problems.
lp:      solves linear programs.
gp:      solves geometric programs.
nlcp:    solves nonlinear convex problems specified via functions.
qp:      solves quadratic programs.
sdp:     solves semidefinite programs.
options: dictionary with customizable algorithm parameters.
"""

# This file is part of CVXOPT version 0.8.2.
# Copyright 2004-2007 J. Dahl and L. Vandenberghe.

import cvxopt
from cvxopt.cvxprog import cp, qp, gp, nlcp
from cvxopt.coneprog import conelp, lp, sdp
solvecp, solveqp, solvegp, solvelp, solvesdp = cp, qp, gp, lp, sdp
options = {}
cvxopt.cvxprog.options = options
cvxopt.coneprog.options = options
__all__ = ['conelp', 'cp', 'lp', 'gp', 'nlcp', 'qp', 'sdp']
